Build #1 for cabal2nix-2.5

[all reports]

Package cabal2nix-2.5
Install InstallOk
Docs Ok
Tests NotTried
Time submitted 2017-08-26 12:09:33.339805503 UTC
Compiler ghc-8.0.2
OS linux
Arch x86_64
Dependencies Cabal-2.0.0.2, aeson-1.2.1.0, ansi-wl-pprint-0.6.8.1, base-4.9.1.0, bytestring-0.10.8.1, containers-0.5.7.1, deepseq-1.4.2.0, directory-1.3.0.0, distribution-nixpkgs-1.1, filepath-1.4.1.1, hackage-db-1.22, hopenssl-2.2.1, language-nix-2.1.0.1, lens-4.15.4, optparse-applicative-0.14.0.0, pretty-1.1.3.3, process-1.4.3.0, split-0.2.3.2, text-1.2.2.2, transformers-0.5.2.0, yaml-0.8.23.3, Cabal-2.0.0.2, aeson-1.2.1.0, ansi-wl-pprint-0.6.8.1, base-4.9.1.0, bytestring-0.10.8.1, containers-0.5.7.1, deepseq-1.4.2.0, directory-1.3.0.0, distribution-nixpkgs-1.1, filepath-1.4.1.1, hackage-db-1.22, hopenssl-2.2.1, language-nix-2.1.0.1, lens-4.15.4, optparse-applicative-0.14.0.0, pretty-1.1.3.3, process-1.4.3.0, split-0.2.3.2, text-1.2.2.2, transformers-0.5.2.0, yaml-0.8.23.3, Cabal-2.0.0.2, aeson-1.2.1.0, ansi-wl-pprint-0.6.8.1, base-4.9.1.0, bytestring-0.10.8.1, containers-0.5.7.1, deepseq-1.4.2.0, directory-1.3.0.0, distribution-nixpkgs-1.1, filepath-1.4.1.1, hackage-db-1.22, hopenssl-2.2.1, language-nix-2.1.0.1, lens-4.15.4, monad-par-0.3.4.8, monad-par-extras-0.3.3, mtl-2.2.1, optparse-applicative-0.14.0.0, pretty-1.1.3.3, process-1.4.3.0, split-0.2.3.2, text-1.2.2.2, time-1.6.0.1, transformers-0.5.2.0, utf8-string-1.0.1.1, yaml-0.8.23.3
Flags none

Build log

[view raw]

Resolving dependencies...
Configuring abstract-par-0.3.3...
Configuring Cabal-2.0.0.2...
Building abstract-par-0.3.3...
Building Cabal-2.0.0.2...
Configuring ansi-terminal-0.6.3.1...
Installed abstract-par-0.3.3
Building ansi-terminal-0.6.3.1...
Configuring base-compat-0.9.3...
Installed ansi-terminal-0.6.3.1
Building base-compat-0.9.3...
Configuring call-stack-0.1.0...
Installed base-compat-0.9.3
Building call-stack-0.1.0...
Configuring base-orphans-0.6...
Installed call-stack-0.1.0
Building base-orphans-0.6...
Configuring dlist-0.8.0.3...
Installed base-orphans-0.6
Building dlist-0.8.0.3...
Configuring cereal-0.5.4.0...
Installed dlist-0.8.0.3
Building cereal-0.5.4.0...
Configuring fail-4.9.0.0...
Installed cereal-0.5.4.0
Building fail-4.9.0.0...
Configuring mtl-2.2.1...
Installed fail-4.9.0.0
Building mtl-2.2.1...
Configuring integer-logarithms-1.0.2...
Installed mtl-2.2.1
Building integer-logarithms-1.0.2...
Configuring parallel-3.2.1.1...
Installed integer-logarithms-1.0.2
Building parallel-3.2.1.1...
Configuring primitive-0.6.2.0...
Installed parallel-3.2.1.1
Building primitive-0.6.2.0...
Configuring random-1.1...
Installed primitive-0.6.2.0
Building random-1.1...
Configuring prelude-extras-0.4.0.3...
Installed random-1.1
Building prelude-extras-0.4.0.3...
Configuring semigroups-0.18.3...
Installed prelude-extras-0.4.0.3
Building semigroups-0.18.3...
Configuring reflection-2.1.2...
Installed semigroups-0.18.3
Building reflection-2.1.2...
Configuring stm-2.4.4.1...
Installed reflection-2.1.2
Building stm-2.4.4.1...
Configuring split-0.2.3.2...
Installed stm-2.4.4.1
Building split-0.2.3.2...
Configuring tar-0.5.0.3...
Installed split-0.2.3.2
Building tar-0.5.0.3...
Configuring text-1.2.2.2...
Installed tar-0.5.0.3
Building text-1.2.2.2...
Configuring th-abstraction-0.2.5.0...
Installed text-1.2.2.2
Building th-abstraction-0.2.5.0...
Configuring time-locale-compat-0.1.1.3...
Installed th-abstraction-0.2.5.0
Building time-locale-compat-0.1.1.3...
Configuring utf8-string-1.0.1.1...
Installed time-locale-compat-0.1.1.3
Building utf8-string-1.0.1.1...
Configuring void-0.7.2...
Installed utf8-string-1.0.1.1
Building void-0.7.2...
Configuring transformers-compat-0.5.1.4...
Installed void-0.7.2
Building transformers-compat-0.5.1.4...
Installed transformers-compat-0.5.1.4
Configuring ansi-wl-pprint-0.6.8.1...
Building ansi-wl-pprint-0.6.8.1...
Installed ansi-wl-pprint-0.6.8.1
Configuring vector-0.12.0.1...
Building vector-0.12.0.1...
Configuring monad-par-extras-0.3.3...
Installed Cabal-2.0.0.2
Building monad-par-extras-0.3.3...
Configuring abstract-deque-0.3...
Installed monad-par-extras-0.3.3
Building abstract-deque-0.3...
Configuring StateVar-1.1.0.4...
Installed abstract-deque-0.3
Building StateVar-1.1.0.4...
Configuring tf-random-0.5...
Installed StateVar-1.1.0.4
Building tf-random-0.5...
Configuring hashable-1.2.6.1...
Installed tf-random-0.5
Building hashable-1.2.6.1...
Installed hashable-1.2.6.1
Configuring exceptions-0.8.3...
Building exceptions-0.8.3...
Configuring tagged-0.8.5...
Installed vector-0.12.0.1
Building tagged-0.8.5...
Configuring mmorph-1.1.0...
Installed exceptions-0.8.3
Building mmorph-1.1.0...
Configuring transformers-base-0.4.4...
Installed tagged-0.8.5
Installed mmorph-1.1.0
Configuring optparse-applicative-0.14.0.0...
Building transformers-base-0.4.4...
Building optparse-applicative-0.14.0.0...
Installed transformers-base-0.4.4
Configuring cabal-doctest-1.0.2...
Building cabal-doctest-1.0.2...
Configuring hackage-db-1.22...
Installed cabal-doctest-1.0.2
Building hackage-db-1.22...
Configuring contravariant-1.4...
Installed optparse-applicative-0.14.0.0
Configuring QuickCheck-2.10.0.1...
Installed hackage-db-1.22
Building contravariant-1.4...
Building QuickCheck-2.10.0.1...
Configuring scientific-0.3.5.1...
Installed contravariant-1.4
Building scientific-0.3.5.1...
Configuring unordered-containers-0.2.8.0...
Installed scientific-0.3.5.1
Building unordered-containers-0.2.8.0...
Configuring uuid-types-1.0.3...
Installed unordered-containers-0.2.8.0
Building uuid-types-1.0.3...
Configuring vector-th-unbox-0.2.1.6...
Installed QuickCheck-2.10.0.1
Building vector-th-unbox-0.2.1.6...
Installed uuid-types-1.0.3
Configuring monad-control-1.0.2.2...
Building monad-control-1.0.2.2...
Configuring distributive-0.5.3...
Installed vector-th-unbox-0.2.1.6
Configuring hopenssl-2.2.1...
Installed monad-control-1.0.2.2
Building distributive-0.5.3...
Building hopenssl-2.2.1...
Warning: /tmp/pkgConf-distributive-0.51909002904165344818.3: Unrecognized
field abi-depends on line 31
/tmp/pkgConf-distributive-0.51909002904165344818.3: Unrecognized field
dynamic-library-dirs on line 23
/tmp/pkgConf-distributive-0.51909002904165344818.3: Unrecognized field
indefinite on line 16
Configuring attoparsec-0.13.2.0...
Installed distributive-0.5.3
Building attoparsec-0.13.2.0...
Warning: /tmp/pkgConf-hopenssl-2.21395235128532670688.1: Unrecognized field
abi-depends on line 38
/tmp/pkgConf-hopenssl-2.21395235128532670688.1: Unrecognized field
dynamic-library-dirs on line 29
/tmp/pkgConf-hopenssl-2.21395235128532670688.1: Unrecognized field indefinite
on line 19
Installed hopenssl-2.2.1
Configuring math-functions-0.2.1.0...
Building math-functions-0.2.1.0...
Configuring lifted-base-0.2.3.11...
Installed attoparsec-0.13.2.0
Building lifted-base-0.2.3.11...
Configuring comonad-5.0.2...
Installed lifted-base-0.2.3.11
Building comonad-5.0.2...
Installed math-functions-0.2.1.0
Configuring resourcet-1.1.9...
Building resourcet-1.1.9...
Warning: /tmp/pkgConf-comonad-5.09331101976939507.2: Unrecognized field
abi-depends on line 39
/tmp/pkgConf-comonad-5.09331101976939507.2: Unrecognized field
dynamic-library-dirs on line 30
/tmp/pkgConf-comonad-5.09331101976939507.2: Unrecognized field indefinite on
line 17
Configuring aeson-1.2.1.0...
Installed comonad-5.0.2
Building aeson-1.2.1.0...
Configuring mwc-random-0.13.6.0...
Installed resourcet-1.1.9
Building mwc-random-0.13.6.0...
Installed mwc-random-0.13.6.0
Configuring bifunctors-5.4.2...
Building bifunctors-5.4.2...
Configuring conduit-1.2.11...
Installed bifunctors-5.4.2
Building conduit-1.2.11...
Configuring monad-par-0.3.4.8...
Installed aeson-1.2.1.0
Building monad-par-0.3.4.8...
Installed conduit-1.2.11
Configuring profunctors-5.2.1...
Building profunctors-5.2.1...
Installed monad-par-0.3.4.8
Configuring semigroupoids-5.2.1...
Building semigroupoids-5.2.1...
Configuring yaml-0.8.23.3...
Installed profunctors-5.2.1
Building yaml-0.8.23.3...
Warning: /tmp/pkgConf-semigroupoids-5.25594129241884167637.1: Unrecognized
field abi-depends on line 75
/tmp/pkgConf-semigroupoids-5.25594129241884167637.1: Unrecognized field
dynamic-library-dirs on line 61
/tmp/pkgConf-semigroupoids-5.25594129241884167637.1: Unrecognized field
indefinite on line 46
Installed semigroupoids-5.2.1
Configuring free-4.12.4...
Building free-4.12.4...
Installed free-4.12.4
Configuring adjunctions-4.3...
Building adjunctions-4.3...
Installed yaml-0.8.23.3
Installed adjunctions-4.3
Configuring kan-extensions-5.0.2...
Building kan-extensions-5.0.2...
Installed kan-extensions-5.0.2
Configuring lens-4.15.4...
Building lens-4.15.4...
Warning: /tmp/pkgConf-lens-4.1516425488991501252996.4: Unrecognized field
abi-depends on line 150
/tmp/pkgConf-lens-4.1516425488991501252996.4: Unrecognized field
dynamic-library-dirs on line 123
/tmp/pkgConf-lens-4.1516425488991501252996.4: Unrecognized field indefinite on
line 86
Installed lens-4.15.4
Configuring language-nix-2.1.0.1...
Building language-nix-2.1.0.1...
Installed language-nix-2.1.0.1
Configuring distribution-nixpkgs-1.1...
Building distribution-nixpkgs-1.1...
Installed distribution-nixpkgs-1.1
Downloading cabal2nix-2.5...
Configuring cabal2nix-2.5...
Building cabal2nix-2.5...
Warning: /tmp/pkgConf-cabal2nix-21562402336298625210.5: Unrecognized field
abi-depends on line 105
/tmp/pkgConf-cabal2nix-21562402336298625210.5: Unrecognized field
dynamic-library-dirs on line 88
/tmp/pkgConf-cabal2nix-21562402336298625210.5: Unrecognized field indefinite
on line 67
Installed cabal2nix-2.5